Skip to main content
  • Place orders quickly and easily
  • View orders and track your shipping status
  • Enjoy members-only rewards and discounts
  • Create and access a list of your products
  • Manage your Dell EMC sites, products, and product-level contacts using Company Administration.

Dell EMC Avamar 19.7 Release Notes

Operating system enhancements

Avamar 19.7 includes an upgrade for all supported platforms to the SUSE Linux Enterprise Server (SLES) 12 SP5 operating system. This upgrade replaces the previous SLES 11 and SLES 12 operating systems.

NOTE All routes to Avamar 19.4 and later require the deployment of, or upgrade to, SLES 12 SP5. The new operating system is a required component of Avamar 19.4 and later.

The operating system upgrade does not affect the functionality or interfaces of the Avamar software. However, take note of the following important points:

  • The Avamar platform operating system security rollup supports Avamar servers that run SLES 12 SP5 starting with release 2020R1.
  • The upgrade changes some underlying operating system commands, such as the move from systemv to systemd.
  • The upgrade also updates some underlying libraries and dependencies.
  • All new installations of Avamar 19.4 and later, and SLES 12 deploy with a 1 GB /boot partition to improve compatibility with future kernel upgrades. Upgrades from SLES 11 preserve the existing 100 MB /boot partition.

Prerequisites

Review the following items when you create your deployment or upgrade plan:

  • All nodes in the server must run one of the following operating systems:

    • SLES 12 SP5
    • SLES 12 SP4
    • SLES 11 SP4
    • SLES 11 SP3
    • SLES 11 SP1
  • Avamar 7.5.1 or later is a prerequisite for the upgrade to Avamar 19.7.

    If the server or NDMP accelerator node runs an older release, upgrade to a supported version before you start the upgrade to Avamar 19.4 and later.

New installations and deployments

New instances of AVE 19.4 and later for all supported virtual environments deploy with SLES 12 SP5. New VMware proxy instance also deploys with SLES 12 SP5.

New installations of the Avamar Data Store (ADS) Gen4S and Gen4T platforms must have SLES 12 SP5 loaded before software installation. The existing Avamar software installation procedures for the ADS do not change.

New installations of NDMP accelerator nodes, whether physical or virtual, must have SLES 12 SP5 loaded before software installation. The existing NDMP accelerator software installation procedures do not change.

Upgrades from previous versions

NOTE Consider the following:
  • Customers running Avamar versions 7.5.1, 18.1.x, 18.2.x, 19.1.x, 19.2.x, 19.3.x, 19.4.x, and 19.4.0.124 can upgrade to 19.7.
  • Before you upgrade, verify that the Avamar server or NDMP accelerator node meets the prerequisites.
  • Upgrades from older releases of Avamar or the NDMP accelerator client software might require intermediate upgrades to a supported Avamar release and operating system. Ensure that your upgrade plan includes any necessary incremental steps, and that the server or NDMP accelerator node meets the prerequisites for any intermediate upgrades.
  • You cannot upgrade an Avamar server to 19.7 if it uses Blowfish for its data-at-rest encryption. Instead, install a new 19.7 server and migrate the data from the old server.

The Avamar software upgrade workflow package integrates both the operating system upgrade to SLES 12 SP5 and the software upgrade to Avamar 19.7. The upgrade workflow migrates the operating system and Avamar software configurations and then replaces the existing system partitions.

Initial startup might take longer as the upgrade workflow installs necessary drivers and firmware, and configures new packages. The upgrade workflow also takes checkpoints and performs health checks before and after the upgrade. The operating system upgrade process is the same for AVE and for ADS single-node and multi-node servers.

For NDMP accelerator nodes, the process is similar. However, in this case, the Avamar accelerator upgrade workflow package contains the new operating system and the new accelerator software.

You cannot upgrade VMware proxies from one operating system to another by using the ISO file. Instead, remove the existing proxies and use the Proxy Deployment Manager (PDM) to deploy replacement Avamar 19.7 proxies. Remove any proxies that you manually deployed. The Avamar for VMware User Guide provides more information.

FIPS mode

The Avamar software upgrade workflow disables Federal Information Processing Standard (FIPS) mode. If FIPS mode is enabled before the upgrade, you must reenable FIPS mode after the upgrade completes.

NOTE The upgrade workflow disables FIPS if the original version is 19.1. If the original version before upgrade is 19.3 and later, upgrade workflow will not disable FIPS.

The Avamar Product Security Guide provides more information about FIPS mode.


Rate this content

Accurate
Useful
Easy to understand
Was this article helpful?
0/3000 characters
  Please provide ratings (1-5 stars).
  Please provide ratings (1-5 stars).
  Please provide ratings (1-5 stars).
  Please select whether the article was helpful or not.
  Comments cannot contain these special characters: <>()\